rem Файл для проведения тестов
@echo off
cls
rem Имя файла программы для запуска
set app_exec=%~dp0shasoft-vcs.exe
rem Папка с тестами
set storage_tests=%~dp0TESTS
rem Папка хранилища
set storage_path=%storage_tests%\storage
rem Ссылка на хранилище
set storage_uri=fs://%storage_path%
rem Папка проекта
set project_path=%storage_tests%\project

rem Удалить полностью папку тестов
rmdir /S /Q %storage_tests%
rem Создать папку с тестами
mkdir %storage_tests%
rem Создать папку хранилища
mkdir %storage_path%

rem ************************************************************************************************************
rem Создать папку проекта
mkdir %project_path%
rem Записать в папку файл с именем проекта
echo {"name":"shasoft-vcs/test"}>%project_path%\shasoft-vcs.json
rem Создать 7 версий хранилища
echo
for %%x in (1, 2, 3, 4, 5, 6, 7 ) do (
rem Добавить файл
echo data%%x>%project_path%\%%x.dat
rem Упаковать
%app_exec% --mode=backup --storage=%storage_uri% %project_path%
)
rem ************************************************************************************************************
rem Распаковать 7 версий хранилища
echo
for %%x in (7, 6, 5, 4, 3, 2, 1, 0, -1, -2, -3, -7 ) do (
mkdir %project_path%_v%%x
rem Копировать файл проекта
copy /B /Y %project_path%\shasoft-vcs.json %project_path%_v%%x\shasoft-vcs.json
rem Распаковать
%app_exec% --mode=restore --nn=%%x --storage=%storage_uri% %project_path%_v%%x
)

pause